Bug 12792 - abiword crashed when MSword .doc open
: abiword crashed when MSword .doc open
Status: CLOSED FIXED
: Branch 4.0
(All bugs in Branch 4.0/abiword)
: 4.0
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-09-16 18:08 by
Modified: 2008-04-01 16:01 (History)


Attachments
test_file_for_crash (54.78 KB, application/x-bzip2)
2007-09-16 18:10, Mike Lykov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-16 18:08:21
имеем desktop4
abiword-2.4.6-alt2

открываем приложенный файл MSWord
и abiword падает
openoffice.org-2.2.1-alt1.M40
открывая тот же файл - не падает
------- Comment #1 From 2007-09-16 18:10:18 -------
Created an attachment (id=2200) [details]
test_file_for_crash
------- Comment #2 From 2007-09-16 19:05:44 -------
Баг проявляется на версии 2.4.6-alt2 в Сизифе, даже пересобранной в новом 
окружении.

На свежесобранной версии 2.5.2, собранной без gnome - не проявляется.

Valgrind не ловит причину ошибки.
------- Comment #3 From 2007-09-16 19:53:43 -------
Продолжаем изыскания.

abiword-2.4.6, собранный без -fstack-protector и -D_FORTIFY_SOURCE=2, 
НЕ ПАДАЕТ на тестовом документе.

А собранный с -fstack-protector (у нас по умолчанию) падает с 

*** stack smashing detected ***: abiword terminated

Итого, надо либо искать, где там конкретно баг, и его исправлять, либо собирать 
новую версию. Собирать без -fstack-protector считаю неразумным.
------- Comment #4 From 2007-09-17 15:52:07 -------
(In reply to comment #3)
>
> Итого, надо либо искать, где там конкретно баг, и его исправлять, либо собирать 
> новую версию. Собирать без -fstack-protector считаю неразумным.

Давайте попробуем новую без гнома. В дедал 
------- Comment #5 From 2007-12-06 11:07:09 -------
проблема решена, решение уже в junior?
------- Comment #6 From 2007-12-06 18:48:36 -------
Ещё нет.
------- Comment #7 From 2007-12-06 21:44:14 -------
В Junior не нужен abiword!
В Lite -- падает?
------- Comment #8 From 2007-12-07 17:04:22 -------
Так или иначе, на втором диске Junior Abiword есть, причём старый (который
падает). В Lite лежит новый Abiword, который без GNOME и который не падает.
------- Comment #9 From 2008-03-29 17:37:48 -------
Fixed in 2.5.2